package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * Port MAC setting
 */
@ApiModel(description = "Port MAC setting")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class WanPortMacSettingOpenApiVo   {
  @JsonProperty("method")
  private Integer method;

  @JsonProperty("mac")
  private String mac;

  public WanPortMacSettingOpenApiVo method(Integer method) {
    this.method = method;
    return this;
  }

  /**
   * Method of obtaining MAC address. 0：Use Default MAC address; 1: Customize MAC Address.
   * @return method
  */
  @ApiModelProperty(required = true, value = "Method of obtaining MAC address. 0：Use Default MAC address; 1: Customize MAC Address.")
  @NotNull


  public Integer getMethod() {
    return method;
  }

  public void setMethod(Integer method) {
    this.method = method;
  }

  public WanPortMacSettingOpenApiVo mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * It is required when [method] is 1.
   * @return mac
  */
  @ApiModelProperty(value = "It is required when [method] is 1.")


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    WanPortMacSettingOpenApiVo wanPortMacSettingOpenApiVo = (WanPortMacSettingOpenApiVo) o;
    return Objects.equals(this.method, wanPortMacSettingOpenApiVo.method) &&
        Objects.equals(this.mac, wanPortMacSettingOpenApiVo.mac);
  }

  @Override
  public int hashCode() {
    return Objects.hash(method, mac);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class WanPortMacSettingOpenApiVo {\n");
    
    sb.append("    method: ").append(toIndentedString(method)).append("\n");
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

